Bug 206967 - Anaconda stops after keyboard language screen
Anaconda stops after keyboard language screen
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-09-18 11:20 EDT by Andreas Johansson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-25 11:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda log (13.00 KB, text/plain)
2006-09-22 17:57 EDT, Joel Parthemore
no flags Details
/tmp/syslog (37.87 KB, application/octet-stream)
2006-09-22 17:58 EDT, Joel Parthemore
no flags Details

  None (edit)
Description Andreas Johansson 2006-09-18 11:20:58 EDT
Description of problem:
In FC6 Test 3 I cant get past the choose keyboard language layout screen during
install. In FC6 Test 2 it got stuck even earlier during the install anyway nag

This happens in both Gui and Text install mode.

I have performed a media check on all media I tried.

Version-Release number of selected component (if applicable):
Anaconda from FC6 Test3 DVD or CD or FC5 DVD CD.

How reproducible:
Every time I try to install from DVD or CD.

Steps to Reproduce:
1.Pop the DVD or CD in
2.Choose gui or text install
3.Click NEXT button after choosing keybaord language layout
Actual results:
Anaconda Freezes

Expected results:
Install would continue

Additional info:
Mainboard is a Nforce2 chipset board.
1.5gb ram
Install disk is ordinary ATA no SATA in the system but there is SATA on the
Graphics card is a Geforce FX 5200 128mb
DVD is a NEC 3500

System runs fine using FC5
Comment 1 Chris Lumens 2006-09-18 11:24:22 EDT
When it hangs, can you press ctrl-alt-f4 and see if there are any messages on
the screen that look like a kernel panic?  Also, do you have any reiserfs
partitions on the system?
Comment 2 Andreas Johansson 2006-09-20 08:55:51 EDT
(In reply to comment #1)
> When it hangs, can you press ctrl-alt-f4 and see if there are any messages on
> the screen that look like a kernel panic?  Also, do you have any reiserfs
> partitions on the system?

I dont seem to be able to press anything, its a total lockup: Ctrl alt f1-f8
shows nothing. No reiserfs on discs that I know of. I have Ubuntu 6.06 installed
on the disc, it made its own partitions using the auto partitioner.

I will look in to it a bit more.
Comment 3 Jeremy Katz 2006-09-20 12:05:11 EDT
Does it happen if you do a text mode install?
Comment 4 Ian 2006-09-20 12:13:11 EDT
[This is a 3rd party report]

This also happens on an HP xw6200 dual-proc workstation (ia64).

When doing CTRL-ALT-F4
> I got a lot of things (stranges things)
> a lot of 
> <4> [<c0403179>] .....
> and an error  <4> [<c0403179>] error_code+0x39/0x40.

Also on F3 screen:

> warnings Step Installtype does not exist
> warnings Step complete does not exist
> warnings /USR/lib/anaconda/gui.pg:1108:PangoWarning:
> Error loading GP05 table 4097
> gth.manin()

This is a 2-disk system, first disk has WinXP and the 2nd is target
for Fedora:

sda 70904 MB ATA WDC WD 740GD-SOFL
sdb 152625 MB ATA ST3160827 AS 
Comment 5 Jeremy Katz 2006-09-20 13:29:05 EDT
The full text of the oops, etc is needed.  You should be able to copy off
/tmp/anaconda.log and /tmp/syslog
Comment 6 Andreas Johansson 2006-09-20 18:27:38 EDT
(In reply to comment #3)
> Does it happen if you do a text mode install?

Yes, I wrote that in the report :)

How could I get into /tmp/anaconda.log if my system does a total freeze? Im
going to check it out more and reply later.

Im not a dev so I might need some step by step help later on to get the info you
need to see.
Comment 7 Joel Parthemore 2006-09-22 17:57:03 EDT
Created attachment 136978 [details]
Anaconda log
Comment 8 Joel Parthemore 2006-09-22 17:58:03 EDT
Created attachment 136979 [details]
Comment 9 Joel Parthemore 2006-09-22 18:00:13 EDT
Okay, I can verify the same effect.  Anaconda.log and syslog are attached. 
Everything is fine until I hit "next" on the language screen.  A pop-up briefly
appears "searching for Fedora Core installations", and then things go bye-bye. 
I'm running a Dell Precision 530 with dual 1.5gH Xeon processors.  The current
Fedora installation is on a SCSI raid array; there is also an IDE hard drive
Comment 10 Jeremy Katz 2006-09-25 11:23:30 EDT
This is the reiserfs oops -- davej fixed the kernel for this last week

Note You need to log in before you can comment on or make changes to this bug.